Bug 1451070 - CVE-2017-8933 menu-cache: Insecure temporary file creation in get_socket_name function [fedora-all]
Summary: CVE-2017-8933 menu-cache: Insecure temporary file creation in get_socket_name...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: menu-cache
Version: 25
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-8933
TreeView+ depends on / blocked
 
Reported: 2017-05-15 17:04 UTC by Adam Mariš
Modified: 2017-06-09 18:57 UTC (History)
3 users (show)

Fixed In Version: menu-cache-1.0.2-4.D20170514git56f6668459.fc25 menu-cache-1.0.2-4.D20170514git56f6668459.fc24 menu-cache-1.0.2-4.D20170514git56f6668459.fc26
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 06:04:04 UTC


Attachments (Terms of Use)
Fix potential access violation, use runtime user dir instead of tmp dir. (2.45 KB, patch)
2017-05-15 18:35 UTC, Raphael Groner
no flags Details | Diff

Description Adam Mariš 2017-05-15 17:04:23 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Adam Mariš 2017-05-15 17:04:27 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1451068

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Raphael Groner 2017-05-15 18:35:05 UTC
Created attachment 1279069 [details]
Fix potential access violation, use runtime user dir instead of tmp dir.

Note: it limits libmenu-cache compatibility to menu-cached >= 0.7.0.

Upstream patch:
https://git.lxde.org/gitweb/?p=lxde/menu-cache.git;a=commit;h=56f66684592abf257c4004e6e1fff041c64a12ce
https://github.com/lxde/menu-cache/commit/56f66684592abf257c4004e6e1fff041c64a12ce
http://seclists.org/oss-sec/2017/q2/260

Comment 3 Fedora Update System 2017-05-16 02:17:46 UTC
lxterminal-0.3.0-3.fc26 menu-cache-1.0.2-4.D20170514git56f6668459.fc26 pcmanfm-1.2.5-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e9936d561b

Comment 4 Fedora Update System 2017-05-16 02:19:03 UTC
lxterminal-0.3.0-3.fc25 menu-cache-1.0.2-4.D20170514git56f6668459.fc25 pcmanfm-1.2.5-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6950ea5d05

Comment 5 Fedora Update System 2017-05-16 02:19:59 UTC
lxterminal-0.3.0-3.fc24 menu-cache-1.0.2-4.D20170514git56f6668459.fc24 pcmanfm-1.2.5-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f2d5790d2

Comment 6 Fedora Update System 2017-05-17 06:04:04 UTC
lxterminal-0.3.0-3.fc25, menu-cache-1.0.2-4.D20170514git56f6668459.fc25, pcmanfm-1.2.5-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-05-30 21:26:58 UTC
lxterminal-0.3.0-3.fc24, menu-cache-1.0.2-4.D20170514git56f6668459.fc24, pcmanfm-1.2.5-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-06-09 18:57:37 UTC
lxterminal-0.3.0-3.fc26, menu-cache-1.0.2-4.D20170514git56f6668459.fc26, pcmanfm-1.2.5-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.